package com.brilliance.isc.bo.model;


import com.brilliance.isc.bo.*;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;



import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * CFAGRP for Repair
 */

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Cfarep extends AbstractCommonVo {



    private Ead ead;

    private Eaf eaf;

    private Ear ear;

    private Eba eba;

    private Ebb ebb;

    private Ebc ebc;

    private Eca eca;

    private Ecb ecb;

    @Override
    public void reset() {
        if(ead == null){
            ead = new Ead();
        }
        if(eaf == null){
            eaf = new Eaf();
        }
        if(ear == null) {
            ear = new Ear();
        }
        if(eba == null) {
            eba = new Eba();
        }
        if(ebb == null) {
            ebb = new Ebb();
        }
        if(ebc == null) {
            ebc = new Ebc();
        }
        if(eca == null) {
            eca = new Eca();
        }
        if(ecb == null) {
            ecb = new Ecb();
        }
    }

}